## mdictionary 1.0.1-1

=== Makefile ===
ARCH = `arch`
REP_TAG = ../tags
REP_BRANCH = branches

DEB_REP_DIR = www

#declaration of directory names
BINARIES = bin
SOURCE = src
INCLUDE = include
DATA = data
PLUGINS = ${SOURCE}/plugins
XDXF_PLUGIN = ${PLUGINS}/xdxf
STARDICT_PLUGIN = ${PLUGINS}/stardict
GUI = ${SOURCE}/gui
MANAGER = ${SOURCE}/manager
DBUS = ${SOURCE}/dbus_wrapper
BOOKMARKS:=bdb
BOOKMARKS_DIR = ${SOURCE}/bookmarks/${BOOKMARKS}
DESTDIR = 

ifeq (${BOOKMARKS}, sql)
  	SQLITE:=-DSQLITE=0
endif

ifeq (${BOOKMARKS}, sql3)
	SQLITE:=-DSQLITE=3
endif

PACKAGES = packages

#probably trash
STARDICT = stardict
APP_NAME = mDictionary

#versions
MAJOR_VER = 1
MINOR_VER = 0
PATCH_VER = 1
RELEASE_MAJOR_VER = 1
RELEASE_MINOR_VER = 0
RELEASE_PATCH_VER = 1
PACK_VER = 1
FRM_VER = 0.1

# VERSION_FILE = ./${INCLUDE}/ws_version.h

#package structure
GUI_PACK_NAME = mdictionarygui
MNG_PACK_NAME = mdictionary
PLUGINS_PACK_NAME = mdictionaryplugins
BOOKMARKS_PACK_NAME = mdictionarybookmarks
META_PACK_NAME = mdictionarydictionary

GUI_EXECUTABLE = ${BINARIES}/mdictionary
GUI_SERVICEFILE = org.maemo.mdictionaryGui.service
GUI_DIRS = ${DESTDIR}/usr/bin ${DESTDIR}/usr/share/applications/hildon ${DESTDIR}/usr/share/pixmaps ${DESTDIR}/usr/share/mis ${DESTDIR}/usr/share/dbus-1/services ${DESTDIR}/usr/share/locale  
#${DESTDIR}/usr/share/doc/mdictionarygui
GUI_DBUS = ${DATA}/other/${GUI_SERVICEFILE}
GUI_ICONS = ${DATA}/icons/mdictionary_icon.png ${DATA}/icons/mdictionary.png ${DATA}/icons/ws_top.png ${DATA}/icons/ws_warning_icon.png ${DATA}/icons/qgn_indi_search_mdictionary.png ${DATA}/icons/ws_tra.png ${DATA}/icons/mdictionary_about.png
GUI_LOCALE = ${DATA}/locale/out/
GUI_DOC = ${DATA}/docs/${GUI_PACK_NAME}/
GUI_OTHER = ${DATA}/other/mdictionary.desktop
GUI_MIS = ${DATA}/mis/mdictionary-search.xml

MNG_EXECUTABLE = ${BINARIES}/mdictionaryManager 
MNG_SERVICEFILE = org.maemo.mdictionaryManager.service
MNG_LIB = ${BINARIES}/engine_bookmarks.so
MNG_DIRS = ${DESTDIR}/usr/bin ${DESTDIR}/usr/lib/mdictionary ${DESTDIR}/usr/share/dbus-1/services  ${DESTDIR}/usr/share/mdictionary ${DESTDIR}/usr/share/doc/${MNG_PACK_NAME}
MNG_DBUS = ${DATA}/other/${MNG_SERVICEFILE}
MNG_OTHER = ${DATA}/dictionaries 

MNG_DICT1 = ${DATA}/dictionaries/FinnishEnglish/comn_sdict02_finnish-english.dict.dz ${DATA}/dictionaries/FinnishEnglish/comn_sdict02_finnish-english.idx ${DATA}/dictionaries/FinnishEnglish/comn_sdict02_finnish-english.ifo ${DESTDIR}/usr/share/mdictionary/dictionaries/FinnishEnglish/
MNG_DICT2 = ${DATA}/dictionaries/EnglishFinnish/dict.xdxf ${DATA}/dictionaries/EnglishFinnish/dict.cache ${DESTDIR}/usr/share/mdictionary/dictionaries/EnglishFinnish/

MNG_DICT_DIRS = ${DESTDIR}/usr/share/mdictionary/dictionaries/FinnishEnglish/ ${DESTDIR}/usr/share/mdictionary/dictionaries/EnglishFinnish/

MNG_BOOKMARKS = ${DATA}/bookmarks/${BOOKMARKS}/*
MNG_DOC = ${DATA}/docs/${MNG_PACK_NAME}/

PLUGINS_LIB = ${BINARIES}/engine_*.so
PLUGINS_DIRS = ${DESTDIR}/usr/lib/mdictionary ${DESTDIR}/usr/share/pixmaps
#${DESTDIR}/usr/share/doc/${PLUGINS_PACK_NAME} 
PLUGINS_ICONS = ${DATA}/icons/engine_xdxf_icon.png
PLUGINS_DOC = ${DATA}/docs/${PLUGINS_PACK_NAME}/

META_DIRS = ${PACKAGES}/${META_PACK_NAME}/usr/share/doc/${META_PACK_NAME}
META_DOC = ${DATA}/docs/${META_PACK_NAME}/

MAIL_ADDRESS = mdictionary-devel@garage.maemo.org
LOCALEDIR=/usr/share/locale
GETTEXT_PACKAGE=mdictionary
ALL_LINGUAS="en_GB"
#APP_VER = ${MAJOR_VER}.${MINOR_VER}.`svn info | grep "Revision:" | awk '{print $$2}'`

ifeq (${MAKECMDGOALS}, release-package)
	APP_VER = ${RELEASE_MAJOR_VER}.${RELEASE_MINOR_VER}.${RELEASE_PATCH_VER}
else
	#APP_VER = ${MAJOR_VER}.${MINOR_VER}.${PATCH_VER}-build`svn log -r HEAD -q | grep -v -e -- | awk '{print $$1}' | tr -d r`
	APP_VER = ${RELEASE_MAJOR_VER}.${RELEASE_MINOR_VER}.${RELEASE_PATCH_VER}-${PACK_VER} 
endif

FILES = ${DATA}/files_debbuild
LOG_DIR = logs
LOG_CLEAN = ${LOG_DIR}/clean.log
LOG_BUILD = ${LOG_DIR}/build.log
LOG_RUN = ${LOG_DIR}/run.log
LOG_DEBS = ${LOG_DIR}/debs.log
LOG_INST = ${LOG_DIR}/install.log

first: build
	@echo -e -n ""

tag-version: clean
		@install -d ${REP_TAG}/${APP_NAME}-${APP_VER}
		@tar -czf ${REP_TAG}/${APP_NAME}-${APP_VER}/${APP_NAME}-${APP_VER}.tar.gz ../trunk/* --exclude .svn
		@svn add ${REP_TAG}/${APP_NAME}-${APP_VER} 
		@svn ci ${REP_TAG}/${APP_NAME}-${APP_VER} -m "Tagged new version: ${APP_NAME}-${APP_VER}"

send-last:	debs
		@tar -czf ${APP_NAME}-${APP_VER}.tar.gz *_${APP_VER}-${PACK_VER}_${ARCH}.deb
		@echo -e -n "#!/bin/bash\n\
			mutt -x -a ~/debs.log -a ~/build.log -a ~/${APP_NAME}-${APP_VER}.tar.gz -s \"[mdictionary]: daily build - version ${APP_NAME}-${APP_VER}\" ${MAIL_ADDRESS} <~/mail.content\n\
			rm -f ~/${APP_NAME}-${APP_VER}.tar.gz\n" > mail.script

		@chmod +x mail.script

		@echo -e -n "\
			This message was generated automatically , please do not reply.\n\
			Attachment: ${APP_NAME}-${APP_VER}.tar.gz - tarball with the newest mdictionary's packages.\n\
			Attachment: build.log - logs from building binaries.\n\
			Attachment: debs.log - logs from making *.deb packages.\n\n\
			Automatic Building Framework ver: ${FRM_VER}\nCopyright 2006 ComArch S.A.\n" > mail.content
		@scp ${APP_NAME}-${APP_VER}.tar.gz krzsas@localhost:~/
		@scp ${LOG_BUILD} krzsas@localhost:~/
		@scp ${LOG_DEBS} krzsas@localhost:~/
		@scp mail.script krzsas@localhost:~/
		@scp mail.content krzsas@localhost:~/
		@rm -f mail.script
		@rm -f mail.content
		@ssh krzsas@localhost  ./mail.script

localization:
		@echo -e -n "Generating locale...\n"
		@echo -e -n "Generating locale...\n" > ${LOG_BUILD}
		
		@./generate_locale ${DATA}/locale/ ${GUI_LOCALE}
		@echo -e -n "Locale generation successfully completed...\n"
		@echo -e -n "Locale generation successfully completed...\n" > ${LOG_BUILD}

build: pre-build  ${BINARIES}/ws_dbus.o ${GUI_EXECUTABLE} ${MNG_EXECUTABLE} ${BINARIES}/engine_bookmarks.so plugins
		@echo -e -n "\nBuilding mdictionary is finished.\n"

pre-build:
		@echo -e -n "Building mdictionary... \n"
		@echo -e -n "" > ${LOG_BUILD}

plugins: ${BINARIES}/engine_xdxf.so ${BINARIES}/engine_stardict.so
		

${MNG_EXECUTABLE}: 
# update-version
		@echo -e -n "**--> Compiling Manager...\n"
		@echo -e -n "**--> Compiling Manager...\n" >> ${LOG_BUILD}
		@make SQLITE=${SQLITE} -C ${MANAGER} >> ${LOG_BUILD}

${BINARIES}/ws_dbus.o:
		@echo -e -n "**--> Compiling D-BUS Wrapper... \n"
		@echo -e -n "**--> Compiling D-BUS Wrapper... \n" >> ${LOG_BUILD}
# 		@cd ${DBUS} && make >> ../../${LOG_BUILD}
		@make -C ${DBUS} >> ${LOG_BUILD}

${GUI_EXECUTABLE}: 
#update-version
		@echo -e -n "**--> Compiling User Interface...\n"
		@echo -e -n "**--> Compiling User Interface...\n" >> ${LOG_BUILD}
# 		@cd ${GUI} && make APP_VER=${APP_VER} >> ../../${LOG_BUILD}
		@make APP_VER=${APP_VER} -C ${GUI} >> ${LOG_BUILD}

${BINARIES}/engine_xdxf.so: 
# update-version
		@echo -e -n "**--> Compiling XDXF Engine...\n"
		@echo -e -n "**--> Compiling XDXF Engine...\n" >> ${LOG_BUILD}
# 		@cd ${XDXF_PLUGIN} && make >> ../../../${LOG_BUILD}
		@make -C ${XDXF_PLUGIN} >> ${LOG_BUILD}

${BINARIES}/engine_stardict.so:  
# update-version
		@echo -e -n "**--> Compiling StarDict Engine...\n"
		@echo -e -n "**--> Compiling StarDict Engine...\n" >> ${LOG_BUILD}
# 		@cd ${STARDICT_PLUGIN} && make >> ../../../${LOG_BUILD}
		@make -C ${STARDICT_PLUGIN} >> ${LOG_BUILD}

${BINARIES}/engine_bookmarks.so: 
# update-version
		@echo -e -n "**--> Compiling Bookmarks...\n"
		@echo -e -n "**--> Compiling Bookmarks...\n" >> ${LOG_BUILD}
		@make -C ${BOOKMARKS_DIR} >> ${LOG_BUILD}
		
clean-logs:	 
		@echo -e -n "Cleaning all logs\n"
		@rm -f ${LOG_DIR}/*.log

clean: clean-logs
		@-echo -e -n "Cleaning project directories\n"
		@echo -e -n "" > ${LOG_CLEAN}
		@-rm -f ${BINARIES}/* >> ${LOG_CLEAN} 2>> ${LOG_CLEAN}
		@-rm -f *~ >> ${LOG_CLEAN} 2>> ${LOG_CLEAN}
		@-rm -f *.deb >> ${LOG_CLEAN} 2>> ${LOG_CLEAN}
		@-rm -rf ${PACKAGES}/*
		@-make -C ${GUI} clean >> ${LOG_CLEAN} 2>> ${LOG_CLEAN}
		@-make -C ${DBUS} clean >> ${LOG_CLEAN} 2>> ${LOG_CLEAN}
		@-make -C ${XDXF_PLUGIN} clean >> ${LOG_CLEAN} 2>> ${LOG_CLEAN}
		@-make -C ${STARDICT_PLUGIN} clean >> ${LOG_CLEAN} 2>> ${LOG_CLEAN}
		@-cd ${MANAGER} && make clean >> ../../${LOG_CLEAN} 2>> ../../${LOG_CLEAN}
		@-make -C ${MANAGER} clean >> ${LOG_CLEAN} 2>> ${LOG_CLEAN}
		@find src/bookmarks/ -mindepth 1 -maxdepth 1 -type d -not -name .svn -exec make -C {} clean >> ${LOG_CLEAN} 2>> ${LOG_CLEAN} \;
		@-rm -rf ${GUI_LOCALE}*
		
# 		@-cd ${GUI} && make clean >> ../../${LOG_CLEAN} 2>> ../../${LOG_CLEAN}
# 		@-cd ${DBUS} && make clean >> ../../${LOG_CLEAN} 2>> ../../${LOG_CLEAN}
# 		@-cd ${XDXF_PLUGIN} && make clean >> ../../../${LOG_CLEAN} 2>> ../../../${LOG_CLEAN}
#  		@-cd ${STARDICT_PLUGIN} && make clean >> ../../../${LOG_CLEAN} 2>> ../../../${LOG_CLEAN}
# 		@-cd ${BOOKMARKS_DIR} && make clean >> ../../../${LOG_CLEAN} 2>> ../../../${LOG_CLEAN}

run: clean install entries run-dict clean-temp


run-dict:
		@run-standalone.sh mdictionaryManager

clean-temp:
		@-fakeroot rm -rf /usr/share/mdictionary
		@-fakeroot rm -rf /usr/lib/mdictionary
		@-fakeroot rm -rf /usr/include/mdictionary
		@-fakeroot rm -f /etc/others-menu/extra_applications/0112_mdictionarygui.desktop
		@-fakeroot rm -f /usr/share/applications/hildon/mdictionarygui.desktop 
		@-fakeroot rm -f /usr/share/pixmaps/mdictionary.png 
		@-fakeroot rm -f /usr/share/pixmaps/mdictionary_icon.png
		@-fakeroot rm -f /usr/bin/mdictionary
		@-fakeroot rm -f /usr/bin/mdictionaryManager
		@-fakeroot rm -f /usr/share/applications/hildon/mdictionarygui.desktop 
		@-fakeroot rm -f /usr/lib/mdictionary/engine_xdxf.so
		@-fakeroot rm -f /usr/lib/mdictionary/engine_stardict.so

#		gconftool-2 --recursive-unset /apps/maemo/mdictionary

install-manager: localization ${BINARIES}/ws_dbus.o  ${BINARIES}/engine_bookmarks.so ${MNG_EXECUTABLE}
		@install -d ${MNG_DIRS}
		@cp ${MNG_EXECUTABLE} ${DESTDIR}/usr/bin
		@cp ${MNG_LIB} ${DESTDIR}/usr/lib/mdictionary
		@cp ${MNG_DBUS} ${DESTDIR}/usr/share/dbus-1/services
		@find  ${MNG_DOC} -type f -not -path *.svn* -exec cp {} ${DESTDIR}/usr/share/doc/${MNG_PACK_NAME} \;
		
#		@install -d ${MNG_DICT_DIRS}
#		@cp ${MNG_DICT1}
#		@cp ${MNG_DICT2}
		
		@install -d ${DESTDIR}/usr/share/mdictionary/dictionaries/bookmarks
		@cp -rf ${MNG_BOOKMARKS} ${DESTDIR}/usr/share/mdictionary/dictionaries/bookmarks
		
install-gui:	${BINARIES}/ws_dbus.o ${GUI_EXECUTABLE} 
		@install -d ${GUI_DIRS}
		@cp ${GUI_EXECUTABLE} ${DESTDIR}/usr/bin
		@cp ${GUI_ICONS} ${DESTDIR}/usr/share/pixmaps
		@cp ${GUI_DBUS} ${DESTDIR}/usr/share/dbus-1/services
		@cp ${GUI_OTHER} ${DESTDIR}/usr/share/applications/hildon
		@cp ${GUI_MIS} ${DESTDIR}/usr/share/mis
		@cp -a ${GUI_LOCALE}* ${DESTDIR}/usr/share/locale/		
# 		@find  ${GUI_DOC} -type f -not -path *.svn* -exec cp {} ${DESTDIR}/usr/share/doc/${GUI_PACK_NAME} \;

install-plugins: plugins
		@install -d ${PLUGINS_DIRS}
		@cp ${PLUGINS_LIB} ${DESTDIR}/usr/lib/mdictionary
		@cp ${PLUGINS_ICONS} ${DESTDIR}/usr/share/pixmaps
		@install -d ${MNG_DICT_DIRS}
		@cp ${MNG_DICT1}
		@cp ${MNG_DICT2}
# 		@find  ${PLUGINS_DOC} -type f -not -path *.svn* -exec cp {} ${DESTDIR}/usr/share/doc/${PLUGINS_PACK_NAME} \;

install-mdictionary:	install-manager install-gui install-plugins

install:	install-manager install-gui install-plugins
		@echo -e "\n\nIf you are installing mdictionary, please run 'make entries', before running the application ( not as root )\n\n"

entries:	
		gconftool-2 --type string --set /apps/maemo/mdictionary/dictionaries/StarDictSampleDict/name "Polish - English Sample Dictionary"
		gconftool-2 --type string --set /apps/maemo/mdictionary/dictionaries/StarDictSampleDict/path "/usr/share/mdictionary/dictionaries/StarDictSampleDict"
		gconftool-2 --type bool --set /apps/maemo/mdictionary/dictionaries/StarDictSampleDict/active true
		gconftool-2 --type bool --set /apps/maemo/mdictionary/dictionaries/StarDictSampleDict/optimized false
		gconftool-2 --type string --set /apps/maemo/mdictionary/dictionaries/XDXFSampleDict/name "English - Polish Sample Dictionary"

=== bm_converter/Makefile ===
EXECUTABLE = bmconverter

CFLAGS += `pkg-config --cflags hildon-libs hildon-fm gtk+-2.0 gnome-vfs-2.0` 
LIBS += `pkg-config --libs hildon-libs hildon-fm gtk+-2.0 gnome-vfs-2.0` -lsqlite -ldb1 
CC = gcc
DEBUG = -g -Wall
SOURCES = src/main.c \
        src/bm-convert.c

INSTALL_DIR = ${DESTDIR}/usr/bin
INSTALL_DESKTOP = ${DESTDIR}/usr/share/applications/hildon
INSTALL_ICON = ${DESTDIR}/usr/share/pixmaps
INSTALL_SYMLINK = ${DESTDIR}/etc/others-menu/extra_applications


OBJECTS = ${SOURCES:src/%.c=bin/%.o}

ARCH = `uname -m`
all: ${EXECUTABLE} ${SOURCES} ./${EXECUTABLE}.sh

${EXECUTABLE}: ${OBJECTS}
	${CC} ${DEBUG} -o $@ ${OBJECTS} ${CFLAGS} ${LIBS}

bin/%.o: src/%.c
	${CC} ${DEBUG} -c $< -o $@ ${CFLAGS}

# only for tests!
${EXECUTABLE}.sh:
	@echo -e "Creating run script for \"${ARCH}\" architecture"
	@echo "#!/bin/sh" > ./${EXECUTABLE}.sh
	@echo "export LD_LIBRARY_PATH=lib_${ARCH}/" >> ./${EXECUTABLE}.sh
	@if [ ${ARCH} == "arm" ]; then \
		echo "run-standalone.sh ./${EXECUTABLE}" >> ./${EXECUTABLE}.sh; \
	else \
		echo "./${EXECUTABLE}" >> ./${EXECUTABLE}.sh; \
	fi; 
	@chmod u+x ./${EXECUTABLE}.sh

run: ./${EXECUTABLE}.sh
	./${EXECUTABLE}.sh

clean:
	rm -f bin/*.o
	rm -f ${EXECUTABLE}
	rm -f ${EXECUTABLE}.sh

install:
	install -d ${INSTALL_DIR}
	install -d ${INSTALL_DIR}/data
	install -d ${INSTALL_DESKTOP}
	install -d ${INSTALL_ICON}
	install -d ${INSTALL_SYMLINK}
	install ./${EXECUTABLE} ${INSTALL_DIR}
	install -m666 ./desktop/bmconverter.desktop ${INSTALL_DESKTOP}
	install -m666 ./desktop/bmconverter.png ${INSTALL_ICON}
	ln -s ${INSTALL_DESKTOP}/bmconverter.desktop ${INSTALL_SYMLINK}/0120_bmconverter.desktop
package:
	dpkg-buildpackage -us -uc -rfakeroot > build.log

package-clean:
	fakeroot make -f debian/rules clean

=== src/dbus_wrapper/Makefile ===
CC=gcc
LIBS=`pkg-config --libs glib-2.0 libosso`
CFLAGS=`pkg-config --cflags glib-2.0 libosso`
DEBUG = -g -Wall
BINARY = bin
MAIN_BINARY = ../../bin
INCLUDE = ../../include
SOURCE = src
DOCS = doc

all: 		${BINARY}/ws_dbus.o 
			@cp ${BINARY}/* ${MAIN_BINARY}

docs:		
		doxygen Doxyfile

${BINARY}/ws_dbus.o:
	                @${CC} ${DEBUG} -c ${SOURCE}/ws_dbus.c -o ${BINARY}/ws_dbus.o ${CFLAGS} -I${INCLUDE}
clean:
	                -rm -rf ${BINARY}/*
			-rm -rf ${DOCS}/*

=== src/manager/Makefile ===
CC = gcc
DEBUG = -g -Wall
INCLUDE = ./include
SOURCE  = ./src
BINARY  = ./bin
INCLUDE_DBUS_WRAPPER = ../../include
LIBS = `pkg-config --libs glib-2.0 gmodule-2.0 libosso gconf-2.0 gthread-2.0` \
	-lbz2
SQLITE=-DSQLITE=0
CFLAGS = `pkg-config --cflags glib-2.0 gmodule-2.0 libosso gconf-2.0` \
	-I${INCLUDE} -I${INCLUDE_DBUS_WRAPPER} ${SQLITE}
MAIN_BINARIES = ../../bin
EXECUTABLE = ${BINARY}/mdictionaryManager


SOURCES = ${SOURCE}/*.c
OBJECTS = $(patsubst %.c,%.o,$(wildcard ${SOURCES})) ${MAIN_BINARIES}/ws_dbus.o

${EXECUTABLE}: ${OBJECTS}
		@echo Compiling with ${SQLITE} flag
		${CC} ${DEBUG} -o $@ ${OBJECTS} ${LIBS} ${CFLAGS}
		@cp ${EXECUTABLE} ${MAIN_BINARIES}

%.o: %.c
		${CC} -c -o $@ $< ${DEBUG} ${CFLAGS}

${MAIN_BINARIES}/ws_dbus.o:
		@cd ../dbus_wrapper && make

.PHONY: clean
clean:
		rm -f ${SOURCE}/*.o ${EXECUTABLE} ${SOURCE}/*~ ./*~ 
		rm -f ${INCLUDE}/*~
.PHONY: run
run:
		run-standalone.sh ./${EXECUTABLE} &

=== src/bookmarks/bdb/Makefile ===
COMPILER = gcc
#DEBUG = -Wall -g -DNOLOGS
DEBUG = -Wall -g
SOURCES = ./src
INCLUDE = ./include
LIBS = `pkg-config --libs glib-2.0 gmodule-2.0` -ldb1
FLAGS = `pkg-config --cflags glib-2.0 gmodule-2.0` -I${INCLUDE} -I./.. -I../../../include
BINARIES = bin
FINAL = engine_bookmarks.so

first: clean ${FINAL} bdbprint

show1:
		./bdbprint s data/bm_words.db
	
show2:
		./bdbprint b data/bm_trans.db
		
bdbprint: ${SOURCES}/berkeleyRead.c
		@echo -en "Berkeley DB reader building ...\n"
		gcc ${DEBUG} `pkg-config --cflags --libs glib-2.0` -ldb1 $< -o $@

${FINAL}: bookmark.o ${SOURCES}/engine_bookmark.c
		gcc ${DEBUG} -shared -fPIC ${FLAGS} ${LIBS} bookmark.o -o ${FINAL}
		cp ${FINAL} ../../../bin

bookmark.o: ${SOURCES}/engine_bookmark.c
		gcc ${DEBUG} -c -fPIC -o bookmark.o ${SOURCES}/engine_bookmark.c ${FLAGS}
		
clean:
		@-rm -f ${BINARIES}/*
		@-rm -f ${SOURCES}/test
		@-rm -f ${SOURCES}/*~
		@-rm -f *~
		@-rm -f ${INCLUDE}/*~
		@-rm -f ${SOURCES}/${FINAL}
		@-rm -f ${SOURCES}/testDatabase
		@-rm -f engine_bookmarks.so bookmark.o bdbprint
		@echo -e -n "Project 'BookmarkEngine' directories has been cleaned.\n"


	
cleandata: bdbprint
		@-rm -f ws_bookmarks-journal
		@-rm -f ws_bookmarks
		@-rm -f data/bm_words.db data/bm_trans.db
		@./bdbprint s data/bm_words.db
		@./bdbprint b data/bm_trans.db add 0 1


data: ${SOURCES}/testMakeDatabase.c
		@echo -e -n "Compiling testDatabase...\n"
		@gcc ${DEBUG} -o ${SOURCES}/testDatabase ${SOURCES}/testMakeDatabase.c ${FLAGS} ${LIBS}

datarun: data
		@run-standalone.sh src/testDatabase	
	
test: test.o
		@echo "Linking test program..."
		@gcc ${LIBS} ${DEBUG} -o ${SOURCES}/test ${BINARIES}/test.o
		@echo -e "Building test program finished.\n"

test.o:
		@echo "Compiling test program..."
		@gcc ${FLAGS} ${DEBUG} -c -o ${BINARIES}/test.o ${SOURCES}/test.c

check:
		@echo "Running test program:"
		@run-standalone.sh  ${SOURCES}/test

=== src/plugins/stardict/Makefile ===
COMPILER = gcc
DEBUG = -Wall -g
INCLUDE = ./include
ENGINE_INCLUDE = ../../../include
LIBS = `pkg-config --libs glib-2.0 gmodule-2.0 gnome-vfs-2.0` -lz
FLAGS = `pkg-config --cflags glib-2.0 gmodule-2.0 gnome-vfs-2.0` -I${INCLUDE} -I${ENGINE_INCLUDE}
SOURCES = ./src
MAIN_BINARIES = ../../../bin
BINARIES = ./bin
PRECOMPILED = ./precompiled

first-target: library

build: library

all: clean library test check

clean:
		@-rm -f ${BINARIES}/*
		@-rm -f ${SOURCES}/*~
		@-rm -f *~
		@-rm -f ${INCLUDE}/*~
		@-rm -f ${SOURCES}/engine_stardict.so
		@echo -e -n "Project 'StarDictEngine' directories has been cleaned.\n"
	
test:  ${SOURCES}/test.c
		@${COMPILER} ${LIBS} ${FLAGS} ${DEBUG} -o ${BINARIES}/test ${SOURCES}/test.c
		@echo -e -n "Building test program for 'StarDictEngine' finished.\n"
		
check: test
		@run-standalone.sh ${BINARIES}/test


library: ${BINARIES}/engine_stardict.o			
		@${COMPILER} ${DEBUG} -shared -fPIC ${FLAGS} ${LIBS} ${BINARIES}/engine_stardict.o \
		${PRECOMPILED}/`arch`/*.o -o ${BINARIES}/engine_stardict.so
		@cp ${BINARIES}/engine_stardict.so ${MAIN_BINARIES}
		@echo -e -n "'StarDictEngine' build finished.\n"
			
${BINARIES}/engine_stardict.o: ${SOURCES}/engine_stardict.c
		@${COMPILER} ${DEBUG} ${FLAGS} -c -fPIC ${SOURCES}/engine_stardict.c -o ${BINARIES}/engine_stardict.o
	
	
final: clean
		@${COMPILER} -DNOLOGS -Wall -O3 ${FLAGS} -c -fPIC ${SOURCES}/engine_stardict.c -o ${BINARIES}/engine_stardict.o
		@${COMPILER} -DNOLOGS -Wall -g -shared -fPIC ${FLAGS} ${LIBS} ${BINARIES}/engine_stardict.o \
		${SOURCES}/`arch`/*.o -o ${BINARIES}/engine_stardict.so
		@cp ${BINARIES}/engine_stardict.so ../bin
		@echo -e -n "'StarDictEngine' build finished. (Final version - optimized)\n"

=== src/plugins/xdxf/Makefile ===
COMPILER = gcc
DEBUG = -Wall -g
INCLUDE = include
INCLUDE_ENGINE = ../../../include
LIBS = `pkg-config --libs glib-2.0 gmodule-2.0 gnome-vfs-2.0` -lexpat
FLAGS = `pkg-config --cflags glib-2.0 gmodule-2.0 gnome-vfs-2.0` -I${INCLUDE} -I${INCLUDE_ENGINE}
SOURCES = src
BINARIES = bin
MAIN_BINARIES = ../../../bin
EXECUTABLE = ${SOURCES}/test_engin

${EXECUTABLE}: ${BINARIES}/engine_xdxf.o ${INCLUDE_ENGINE}/dictionary_engine.h			
		@echo -e -n   "| Linking engine-xdxf to dynamic library...                                          |\n"
		@gcc -shared -fPIC ${FLAGS} ${LIBS} ${DEBUG} ${BINARIES}/engine_xdxf.o -o ${SOURCES}/engine_xdxf.so 
		@echo -e -n   "| Building engine_xdxf module done...                                                |\n"
		@echo -e -n   "+------------------------------------------------------------------------------------+\n\n"
		@cp ${SOURCES}/engine_xdxf.so ${MAIN_BINARIES}


${BINARIES}/engine_xdxf.o: ${SOURCES}/engine_xdxf.c ${INCLUDE}/engine_xdxf.h
		@echo -e -n "\n+---------------- ENGINE XDXF -------------------------------------------------------+\n"
		@echo -e -n   "| Compiling engine_xdxf module => engine_xdxf.o ...                                  |\n"
		@gcc ${FLAGS} ${DEBUG} -c -fPIC ${SOURCES}/engine_xdxf.c -o ${BINARIES}/engine_xdxf.o 

test: test.o
		@echo "Linking test program..."
		@gcc ${LIBS} ${DEBUG} ${DEBUG} -o ${SOURCES}/test ${BINARIES}/test.o
		@echo -e "Building test program finished.\n"
test.o:
		@echo "Compiling test program..."
		@gcc ${FLAGS} ${DEBUG} -c -o ${BINARIES}/test.o ${SOURCES}/test.c

check:
		@echo "Running test program:"
		@run-standalone.sh ${SOURCES}/test

clean :
		@rm -f ${BINARIES}/*
		@rm -f ${SOURCES}/test
		@rm -f ${SOURCES}/*~
		@rm -f *~
		@rm -f ${INCLUDE}/*~
		@rm -f ${SOURCES}/engine_xdxf.so

=== bm_converter/debian/changelog ===
bmconverter (0.1.1-1) unstable; urgency=low

  * initial release
  * tool for converting WhiteStrok bookmarks form sqlite format to Berkeley DB
  * this software is under development

 -- ComArch SA <contact@comarch.com>  Fri,  2 Mar 2007 09:00:34 +0200

=== debian/changelog ===
mdictionary (1.0.1-1) unstable; urgency=low

  * minor bugfixes in manager module

 -- unknown <Lukasz.Pawlik@comarch.com>  Mon, 12 Feb 2008 09:12:00 +0300

mdictionary (1.0.0-2) unstable; urgency=low

  * minor bugfixes in debian package

 -- unknown <Dariusz.Wiechecki@comarch.com>  Mon, 20 Nov 2007 13:11:00 +0300

mdictionary (1.0.0-1) unstable; urgency=low

  * the first release of mDictionary (previously known as a WhiteStork)
  * new icons and name

 -- unknown <Dariusz.Wiechecki@comarch.com>  Mon, 19 Nov 2007 16:06:00 +0300

=== bm_converter/debian/control ===
Source: bmconverter
Section: user/other
Priority: optional
Maintainer: ComArch SA <contact@comarch.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: bmconverter
Architecture: any
Depends: libsqlite0 (>= 2.8.13)
Description: Software for converting mdictionary bookmarks from sqlite format to Berkeley DB
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAABBklEQVRIidWW246EMAxD7dF+eP7c
 +0CH3pK0ZTUjrSVEISWHmLQC+JL48Dmd5okmaBm35srWsJeXRBIktcBc1r3cNgjkgaO2B3NBgxQm
 uJKzs3ETdPmlmje10cozh6AbQhIkJ2ACW+rnzlMGIwDNfWSddQHD+KuD3Dn7+UtIBYXfk0OgTaa3
 jQ4k/y41xmngSG8Lhwq5BPVAAnF7y+u8o0VcQQJqM0yQqCkaO6PE8xjJgm3bfDwSCO/DuvvyKupg
 no62qCKvImZv/gQSgYBSfmCbTzIAdR1NXZlaB4ACxOaczrY4tLN7/00XnJ8FFQjwjYqKPgcyAJt7
 HQAgaIadbejpH9Y/0S/jKXQ85bZN/wAAAABJRU5ErkJggg==

=== debian/control ===
Source: mdictionary
Section: user/office
Priority: extra
Maintainer: Lukasz Pawlik <Lukasz.Pawlik@comarch.com>
Build-Depends: debhelper (>= 4), libdb1-dev, libosso-dev (>= 1.14-1), libgtk2.0-dev (>= 2.6.10), gtkhtml-dev (>= 3.9.1) libart-2.0-dev (>= 2.3.17), 
Standards-Version: 3.6.1


Package: mdictionary
Section: user/office
Priority: optional
Architecture: any
Depends:  ${shlibs:Depends}
Conflicts: whitestork
Description: multilingual dictionary for maemo.org
 mDictionary Multilingual Dictionary (known as WhiteStork) is 
 a very functional application allowing the use of many dictionary
 engines. There are included XDXF and StarDict engines in the package,
 but You can write your own, provided that You stick to the API 
 (also available on our homepage). The graphical user interface of
 our application can also be replaced by a product of Your own
 programming skills. This package contains all three modules 
 integrated that is: gui, engines and plugins.
 Copyright 2006 - 2007, ComArch S.A.
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAACXBIWXMAAAsTAAAL
 EwEAmpwYAAABRWlDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjalZC/SsNgFEfP
 14pSwU5BHD9w0cHSKi24KDG2UqGNpEGabDYNaaHa8DVWqz6Bk5trX0BwEGefwMU/
 L+ALCIKzQ5QqFIpnOvd34d7LhYSs1Ep2QsLhUaSsnS1Zd1w588IU08yRpHDg9cJK
 rWQDFNtnXf4i4PMVAfC0MqY/iVTT73nAO+CpuuOCsAEtiL0FaI3YLwBN2ZYB4gpI
 B7EPgXQj9lsgfRKFEYgHQPNCFYF4Bna/dwGkarn1XHa7kP99y5js39QdV8Y2uIaN
 WUi+jTLnEm6GsHA+yhbvQNuH+0fvWPV//ppYg0n1aMbHJgIQ837kn0YARjccqHbQ
 iuSSsSxXs9m8LJZdU1b1qm5Kw7T2TEu3y2Y1I6Xe6UjVDlpRTyq/56u+38wAfAFp
 qFJd29bLeQAAAARnQU1BAACxnmFMQfcAAAAgY0hSTQAAejAAAICYAAD5/wAAgOgA
 AHFHAADsUwAAOKQAAB1LzdW7PwAABG1JREFUeNq8lktsVVUUhr99nvec3tte7AVa
 7ZVXkWgLFKEECgNAVGIEqsx00KKJQx8DY3QCJkYTDUFNSgJGxARjwghJdEINiIGB
 CbFpQKgpXKBpKaWUS9v7PI/loKVQ+4AyYI3O3met/997rT9rLyUiPA4zAJRSMw6M
 Ne3ZgAQQ+G1DP32Sns5XRFAiMiVRrGlPHRAn9ONoRhNInMBrA9WIZsxHKQiDK0jw
 6dDhjw89EpG+47PbdsSK64Y+6h0CENilBKaLCgqgNIqlTxHqFkAbsJEvNqYnIzKm
 OkXgB/HscA4jVkZY8Qyh6aAVM4RWyVQhdUAz8PVkP7UH1cIPFaHpAEwgUaGP8nL3
 b8WnwtFmpIChW+h3eu6lpLsDejoeKnRmRAPdBEXv3joMkIeE0HhM9tiIDICfv6c5
 WcXyUeXEgbr1+2YO1jzv8K6mX0vmmUbmg/Uvk55wo8HM0villPt+JsuGUTKidn4C
 UNQapzDeqj/B4vLrLI52siLexspZZzGNTDOQ+uM3e/eRw/VjKlQiwncHDjYj2R/E
 b8W1jjNndhbRIxxpX8vBfxph3jJWxNt4t7qFv3uriUWhItLL4mgnUWN48ppoYEUW
 pR1nzs7nVp45epdoN7BrRLNZxG8lFvmFygowzalTZRpg2LXYkTI0swHHLUO0Whw3
 CVpy5CbFr07OrfpyowFghW8vN6x1eGzD8xMocxvDfgP/po5RkThN1dPrcNxSNKMW
 O5LEsJ7GsGtAlT2E3JbcS51SigPf6O9YFp/bzpryfDBCOHLqfra8uvOR1aYKu4/O
 Tba8ZgAc2r/qxfLyMHAc+ai35/wLeti23bQ2uwV/8xjhAy3sQkkXBOcIQvOKJhd6
 lD77uCruOwotI/LOh2/2dl3vSDhWuyTKFx7T9VzrzRu/bzFV6ytuZHMJbB0FO4eS
 QQhO4wfJc+KdyHhemAq9E9lc3k3l8m7f4HDZzdGG7Ylw4aWtXBYZTd2B/QcrgdVI
 QQK/Hcdql8qKHEGQc4v57k11dTUlXuFiX9Gzb6QHZ13OF5wMMPY0R2xPNE2wLV80
 TbAsH9tZLqblEhROdS+ouXbeANDkpBOqDVmUjW7WUwyXyeWrpyktuZgtT1QfSV3N
 i2VWYRghkUggZaVD6HqJRNz5GGYFSn9SNGMJSisV3Vo91nMBcrde18c6QzF/cVBp
 t9OaucZWWiUoW3RrE8PFVZR6p6R26SJQMXSrXpSKoZnP3j9oTPuttERhnOoAWvbW
 J5SeTGrG85rSKscCGnds/z/I/etx4KHficgwYfGsiAzhZX68taDmWs+Ep7xlb70O
 JEK1MGHZDaCiNO7YPg408NogHCL0OyQMesgXeulLd4pjpHOzXC8LFIAAKCys7Qqm
 nRne+LC+OhmDFQsWScNal8Fcjv7+v+gftiRQOl23Iwylfbl03eaJudbdQ6S/fe/P
 mc0MfkghdQdupq7KmYERt4G+BJatSbTMAJCBviKocakMpn0mprDCJDWYWBsZt+9P
 BfbfAGyC8jpg6wjHAAAAAElFTkSuQmCC

=== bm_converter/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
PACKAGENAME = bm_converter

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/mwallet.sgml > mwallet.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package 
	$(MAKE) install DESTDIR=$(CURDIR)/debian/bmconverter


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/mdictionary.sgml > mdictionary.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mdictionary.
	#$(MAKE) install-manager DESTDIR=$(CURDIR)/debian/mdictionary
	#$(MAKE) install-gui DESTDIR=$(CURDIR)/debian/mdictionarygui
	#$(MAKE) install-plugins DESTDIR=$(CURDIR)/debian/mdictionaryplugins
	$(MAKE) install-mdictionary DESTDIR=$(CURDIR)/debian/mdictionary


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
